import request from '/@/utils/request';

export function recordApi() {
	return {
		getRecordList: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/getOldRiskAssessPage',
				method: 'post',
				data: params
			});
		},
		modRecord: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/update/updateOldRiskAssess',
				method: 'post',
				data: params
			});
		},
		addRecord: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/insert/insertOldRiskAssess',
				method: 'post',
				data: params
			});
		},
		deleteRecordById: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/delete/deleteOldRiskAssess',
				method: 'post',
				data: params
			});
		},
		addFile: (params: object) => {
			return request({
				headers: {
					'Content-Type': 'multipart/form-data'
				},
				url: import.meta.env.VITE_API_URL + '/basic/insert/importOldRiskAssess',
				method: 'post',
				data: params
			});
		},
		exportFile: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/exportOldRiskAssess',
				method: 'post',
				data: params
			});
		},
	};
}
